import express, {Express, json} from 'express';
import 'dotenv/config';
import cors from 'cors';
import {connect} from 'mongoose';

const app: Express = express();
app.use(json());
app.use(cors());

const run = async () => {
	await connect(`${process.env.MONGO_URL}/musicApp`);
};

run().catch((err) => console.log(err));

app.listen(process.env.PORT, () => {
	console.log('Server started on port ' + process.env.PORT);
});
